# smfi_delrcpt

SYNOPSIS

    #include <libmilter/mfapi.h>
    int smfi_delrcpt(
    	SMFICTX *ctx;
    	char *rcpt;
    );

Remove a recipient from the current message's envelope.

DESCRIPTION

Called When | Called only from xxfi_eom.
Effects | smfi_delrcpt removes the named recipient from the current message's envelope.

ARGUMENTS

Argument | Description
--- | ---
ctx | Opaque context structure.
rcpt | The recipient address to be removed, a non-NULL, null-terminated string.

RETURN VALUES

smfi_delrcpt will fail and return MI_FAILURE if:

- rcpt is NULL.
- Deleting recipients in the current connection state is invalid.
- A network error occurs.
- SMFIF_DELRCPT was not set when smfi_register was called.

Otherwise, it will return MI_SUCCESS

NOTES | The addresses to be removed must match exactly. For example, an address and its expanded form do not match.

Copyright (c) 2000, 2003 Sendmail, Inc. and its suppliers. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the LICENSE.